
import React from 'react';
import Icon from 'react-icon-base';

const SlWallet = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M1023.65 669.52c0.463867 23.6641 -5.9043 78.8477 -77.8398 98.0635l-722.416 144.624c-52.9443 0 -96 -43.0557 -96 -96v-128.704l-32 0.0800781c-52.752 -0.223633 -95.6318 -43.1514 -95.6318 -95.9678v-511.808c0 -52.9443 43.0557 -96 96 -96h832.464 c52.9443 0 96 43.0557 96 96zM191.393 816.207c0 16.7197 12.8799 30.4629 29.2158 31.8711l706 -142.88c0.255859 -0.12793 -5.24805 -17.9355 -30.8799 -17.5996h-704.336zM960.24 79.79c0 -17.6641 -14.3359 -32 -32 -32h-832.48c-17.6641 0 -32 14.3359 -32 32v511.824 c0 17.6641 14.3359 32 32 32h800.064c31.4082 0 64.4004 10.7041 64.4004 31.8877v-575.712h0.015625zM191.824 399.502c-35.3438 0 -64 -28.6562 -64 -64s28.6562 -64 64 -64s64 28.6562 64 64s-28.6562 64 -64 64z"/></g>
    </Icon>
);

export default SlWallet;
